Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitDelegateFilter

    java.lang.Object
      com.vordel.circuit.Filter
          com.vordel.circuit.VariablePropertiesFilter
              com.vordel.circuit.CircuitDelegateFilter

All Implemented Interfaces:
  DelegatingFilter

Direct Known Subclasses:
  CircuitDelegatePerBodyFilter

    public class CircuitDelegateFilter

extends VariablePropertiesFilter
implements DelegatingFilter

A filter that delegates to a nested circuit.

Field Summary
`static java.lang.String` | `CIRCUIT_PK`
`protected ESPK` | `delegatedCircuitPK`

Fields inherited from class com.vordel.circuit.VariablePropertiesFilter
`USER_ATTRIBUTE_FORMAT_REGEX, userAttributePattern`

Fields inherited from class com.vordel.circuit.Filter
`CAN_FAIL, CAN_SUCCEED, circuit, consumedProperties, contextLoader, EMPTY_SET, generatedProperties, name, requiredProperties`

Constructor Summary
`CircuitDelegateFilter()`

Method Summary
`void` | `delegatedProperties(java.util.Set<java.lang.String> req, java.util.Set<java.lang.String> gen, java.util.Set<java.lang.String> cons)`
`java.lang.Class<? extends FilterContainer>` | `getConfigPanelClass()` Get the Class which must be instantiated to configure the Filter.
`java.util.Set<java.lang.String>` | `getConsumedProperties()`
`ESPK` | `getDelegatedCircuitPK()` Get the ESPK of the Circuit this filter delegates to.
`java.util.Set<java.lang.String>` | `getGeneratedProperties()`
`java.lang.Class<? extends MessageProcessor>` | `getMessageProcessorClass()` Get the Class which must be instantiated to process this Filter to implement a MessageProcessor
`ESPK` | `getPK()`
`java.util.Set<ESPK>` | `getReferencedCircuitPKs(GlobalProperties props)`
`java.util.Set<java.lang.String>` | `getRequiredProperties()`
`void` | `setDelegatedCircuitPK(ESPK circuitPK)` Set the ESPK of the Circuit this filter delegates to.
`void` | `setEntity(Entity e)` override of Filter.setEntity() used to trap changes to the delegate circuit's ESPK.
`void` | `setName(java.lang.String name)`
`void` | `updateRefs()`

Methods inherited from class com.vordel.circuit.VariablePropertiesFilter
`configure, createHashSet, getLoggingWildcards, getRequiredPropertiesFromEntity, getRequiredPropertiesFromReferences, getWildcardAttributes, ignoreField, ignoreType, syncProps`

Methods inherited from class com.vordel.circuit.Filter
`getCircuitPK, getEntity, getFailureNode, getFailureNodePK, getName, getPossibleOutcomes, getSuccessNode, getSuccessNodePK, reconfigure, setCircuitPK, setDefaultProperties, setFailureNode, setShouldAbortProcessingOnLogError, setSuccessNode, shouldAbortProcessingOnLogError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CIRCUIT_PK

    public static final java.lang.String CIRCUIT_PK

See Also:
  Constant Field Values

### delegatedCircuitPK

    protected ESPK delegatedCircuitPK

Constructor Detail

### CircuitDelegateFilter

    public CircuitDelegateFilter()

Method Detail

### getDelegatedCircuitPK

    public ESPK getDelegatedCircuitPK()

  Get the ESPK of the Circuit this filter delegates to.

  Returns:
    ESPK of the Circuit this filter delegates to.

### setDelegatedCircuitPK

    public void setDelegatedCircuitPK(ESPK circuitPK)

  Set the ESPK of the Circuit this filter delegates to.

  Parameters:
    `circuitPK` - ESPK of the Circuit this filter delegates to.

### setEntity

    public void setEntity(Entity e)

  override of Filter.setEntity() used to trap changes to the delegate circuit's ESPK.

  Overrides:
    `setEntity` in class `Filter`

### getMessageProcessorClass

    public java.lang.Class<? extends MessageProcessor> getMessageProcessorClass()
                                                                         throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to process this Filter to implement a MessageProcessor

  Specified by:
    `getMessageProcessorClass` in class `Filter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getConfigPanelClass

    public java.lang.Class<? extends FilterContainer> getConfigPanelClass()
                                                                   throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to configure the Filter.

  Specified by:
    `getConfigPanelClass` in class `Filter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getRequiredProperties

    public java.util.Set<java.lang.String> getRequiredProperties()

  Overrides:
    `getRequiredProperties` in class `Filter`

### getGeneratedProperties

    public java.util.Set<java.lang.String> getGeneratedProperties()

  Overrides:
    `getGeneratedProperties` in class `Filter`

### getConsumedProperties

    public java.util.Set<java.lang.String> getConsumedProperties()

  Overrides:
    `getConsumedProperties` in class `Filter`

### delegatedProperties

    public void delegatedProperties(java.util.Set<java.lang.String> req,
                                    java.util.Set<java.lang.String> gen,
                                    java.util.Set<java.lang.String> cons)

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `Filter`

### getPK

    public ESPK getPK()

  Specified by:
    `getPK` in interface `DelegatingFilter`

### getReferencedCircuitPKs

    public java.util.Set<ESPK> getReferencedCircuitPKs(GlobalProperties props)

  Specified by:
    `getReferencedCircuitPKs` in interface `DelegatingFilter`

### updateRefs

    public void updateRefs()

  Specified by:
    `updateRefs` in interface `DelegatingFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel